From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Class-DBI-mysql/
Date: Wed, 18 Oct 2017 09:46:34 +0000 (UTC) [thread overview]
Message-ID: <1508319974.f3a106a6301d9d2d921b3ea5cf0a2780afcef348.kentnl@gentoo> (raw)
commit: f3a106a6301d9d2d921b3ea5cf0a2780afcef348
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 18 09:45:31 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Wed Oct 18 09:46:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3a106a6
dev-perl/Class-DBI-mysql: EAPI6 + Test Improvements
- EAPI6ify
- Add some basic compile tests for sanity
- Fence/Document functional tests ( need more love here )
Package-Manager: Portage-2.3.8, Repoman-2.3.3
.../Class-DBI-mysql-1.0.0-r2.ebuild | 47 ++++++++++++++++++++++
1 file changed, 47 insertions(+)
diff --git a/dev-perl/Class-DBI-mysql/Class-DBI-mysql-1.0.0-r2.ebuild b/dev-perl/Class-DBI-mysql/Class-DBI-mysql-1.0.0-r2.ebuild
new file mode 100644
index 00000000000..99856ea640d
--- /dev/null
+++ b/dev-perl/Class-DBI-mysql/Class-DBI-mysql-1.0.0-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=TMTM
+DIST_VERSION=1.00
+inherit perl-module
+
+DESCRIPTION="Extensions to Class::DBI for MySQL"
+
+LICENSE="|| ( GPL-3 GPL-2 )" # GPL-2+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-perl/Class-DBI
+ dev-perl/DBD-mysql"
+DEPEND="${RDEPEND}"
+
+src_test() {
+ local MODULES=(
+ "Class::DBI::mysql ${DIST_VERSION}"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ if [[ -n "${DBD_MYSQL_DBNAME}" ]]; then
+ perl_rm_files t/pod-coverage.t t/pod.t
+ perl-module_src_test
+ else
+ ewarn "Functional testing of this package requires user intervention."
+ ewarn "For details, see:"
+ ewarn "https://wiki.gentoo.org/Project:Perl/maint-notes/dev-perl/Class-DBI-mysql"
+ fi
+}
next reply other threads:[~2017-10-18 9:46 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-10-18 9:46 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-04-05 14:11 [gentoo-commits] repo/gentoo:master commit in: dev-perl/Class-DBI-mysql/ Aaron Bauman
2018-04-05 18:29 Thomas Deutschmann
2020-06-18 13:31 Kent Fredric
2020-08-24 0:08 Sam James
2020-08-24 19:06 Sam James
2020-10-04 5:05 Kent Fredric
2021-10-10 17:44 Andreas K. Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1508319974.f3a106a6301d9d2d921b3ea5cf0a2780afcef348.kentnl@gentoo \
--to=kentnl@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox